Subject: Re: [PATCH] howto: Use all-space indentation in ASCII art

From: Dirk Wallenstein <[email-masked]>
Date: Tue, 16 Jul 2013 10:24:13 +0200

On Mon, Jul 15, 2013 at 03:00:17PM -0700, Junio C Hamano wrote:
> Dirk Wallenstein <[email-masked]> writes:
> 
> > Keep the sketch aligned independent of the tabstop width used.
> 
> Thanks.
> 
> This is a source text to be formatted into HTML, isn't it?
> 
> In our sources, a HT indents to multiple of 8 columns.  As long as
> the output HTML produced from the source can be seen on a terminal
> with any tab-width correctly, I do not see any reason to apply this
> patch.
> 
> Am I missing something???
> 

Those text files are installed as documentation (at least on my distribution).
They have a *.txt suffix, which tells me that they are meant to be read.  If those
would ever be opened with a text editor where the user has set the default
tabstop width to something other than 8 it would teach something nonsensical.
Not to mention if those files would have been printed with the wrong setting.

Why would you want to limit those files to be source for HTML only?

The HTML after this patch is still fine.

-- 
Cheers,
  Dirk